کلید کا جائزہ
| کلید کا نسخہ | V3 |
|---|---|
| تصریح | RFC 1991 · RFC 2440 · RFC 4880 |
| حیثیت | متروک – پرانا، صرف تاریخی مطابقت کے لیے محفوظ |
| بنیادی کلید (توثیق، دستخط) | RSA 1024 · ID 1 |
| ذیلی خفیہ کاری کلید | کوئی نہیں: نسخہ 2 اور 3 کی کلیدوں میں ذیلی کلیدیں نہیں ہوتیں، بنیادی RSA کلید خفیہ کاری بھی کرتی ہے (C/S/E الگورتھم سے اخذ ہوتا ہے) |
| فنگر پرنٹ | 8C82CFA8E8957EA451848A6948E37C72 |
| نجی کلید کا پاس فریز | synthetic-key-password |
الگورتھم اور استعمال
RSA 1024: 1024 بٹ کے ماڈیولس کے ساتھ RSA، جسے آج قابلِ شکست سمجھا جاتا ہے۔ صرف تاریخی مطابقت کے لیے رکھا گیا ہے؛ GnuPG قبول کرتا ہے، مگر Sequoia اور rPGP پر مبنی ٹولز 2048 بٹ سے کم کلیدیں مسترد کرتے ہیں، اور keys2 کلیدی سرور بھی۔
عوامی کلید
عوامی کلید، اس کے صارف ID اور خود دستخط کے ساتھ۔ نسخہ 2 اور 3 کی کلیدوں میں ذیلی کلیدیں نہیں ہوتیں: وہی RSA کلید دستخطوں کی تصدیق کرتی ہے اور اس ٹیسٹ شناخت کے لیے خفیہ کاری میں استعمال ہوتی ہے۔
ڈاؤن لوڈ ← 522 بائٹس
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecdGTcB
AUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10Twfp
ei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgcgArp
UvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=d6DR
-----END PGP PUBLIC KEY BLOCK-----
نجی کلید
نجی کلید، جسے اوپر دکھائے گئے پاس فریز سے محفوظ کیا گیا ہے۔ صرف جانچ کے لیے شائع کی گئی ہے: کوئی بھی اسے استعمال کر سکتا ہے۔
ڈاؤن لوڈ ← 983 بائٹس
دکھائیں
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQHiA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAEBn9em93oQYcQEAEx48Hk8F2fl6Efnc1IHy9w0owGL/s5BJTh4bUASKniDUEmT
Z2xhzr8R0rdhOfcUBs7azdmQctj4O8lOUazK1g1mHzKY/BZXOjdIn/oeW0z+0Vmr
ddtMSh1L31Vr9Fc0xfH379CxySzG6jDPkdzhICwwUWKdunZ3FpCkMeTSJEiHAgA7
1tSD64MFBJSYJD6Lii870MUtp6ODC179LdsE+nz54lA7JjSRByl1fX43D4B1T+3z
jM+MsFrQOoNULYQf4Tc1AgCfOy4jZ46QTDVBFHPonKrWJJjz6PAsRDyknuVYKgqi
B64ZhOGlCSJ1SCAuxL5E1cwmRBZDZ8gJTXkfr1X6hMM1AgBYyBgNsMOHi4woPnVI
KTdpf9c+91YmycWbRmr8kbjPY0pIbkGZeKHDj52rsUi4LM2MHxdZkxvZhgFfNpnR
9SjtoOG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecd
GTcBAUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10
Twfpei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgc
gArpUvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=7ZMo
-----END PGP PRIVATE KEY BLOCK-----
تنسیخی سرٹیفکیٹ
کلید کے افشا ہونے کا پہلے سے تیار کردہ سرٹیفکیٹ، دستخطی کلاس 0x20 جسے RFC 1991 (“This is my key, and I have revoked it”) میں متعین کیا گیا ہے۔ اسے نافذ کرنے والا پروگرام ہے PGP 2.6. اسے امپورٹ کرنے سے کلید منسوخ نشان زد ہو جاتی ہے۔
ڈاؤن لوڈ ← 725 بائٹس
دکھائیں
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAGJAJUDBSBq95WuA37X/ecdGTcBAQKBA/938RSvUEr4RE3RH8V4mIdCNHVEXim2
v1vGCyWPFp+Re1xgnraxYCt/4bceqDjaof6N3hTraaoOd2cOP3ge39ewplNH2jl1
NaYjDLROBAGl1ZU8QTEwrsP0XRXEasYuy674fbt3TscZo+T4g+J58/1vzFeDh47T
E5TqXR7x9kFoDrQZQ0gtSiBtYXRyaXggNDEtdjMtcnNhMTAyNIkAlQMFEGr3la4D
ftf95x0ZNwEBQSwD/3gJS9wmN6+8SQIHNxlBfjMBFj4yHrFKZIlMFcsisYprMMU5
idZmrXRPB+l6LzmCV6J41Ctnu9sW+7f0jRvO2LFKhqgWd/vqh7/L05p6uDp5Sm+5
aqRt+ByACulS+nF4n9guvcqxruGdXNHxqvoO/Ktl7yAOrzSELJSdZf4z9KeZ
=qfgP
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin کا دستخط
CH-J Tools میں اس کلید سے بنایا گیا test_1MB.bin کا علیحدہ ASCII-armored دستخط۔ اسے test_1MB.bin.asc کے نام سے ٹیسٹ فائل کے ساتھ محفوظ کریں۔
ڈاؤن لوڈ ← 273 بائٹس
-----BEGIN PGP SIGNATURE-----
iQCVAwUAaveVrgN+1/3nHRk3AQEGewP/ck01xi+d+csd/k4uhv+Dj2n5FvCmjt3B
MaTtFXxc1wgqTLkeGTFlbjvBT1GqHF9JFhhVjV4ncksZdNvhD3DMzMVNzKLi+K1K
ewxkEdjvdYtaQl2nRS/oAZAH5wRSvZZI2YYxLSDpiP2yAwkLDEf+cddUoVdLOBWX
tcXeGQeIU5I=
=wikQ
-----END PGP SIGNATURE-----
دستخط کی تصدیق کریں
نسخہ 3 اور 2 کی کلیدوں کے لیے MD5 کی واضح اجازت کے ساتھ GnuPG 1.4 (gpg1)، یا تاریخی PGP، یا CH-J Tools درکار ہے۔ عارضی GNUPGHOME استعمال کریں تاکہ ٹیسٹ کلید آپ کے اصل کی رنگ میں شامل نہ ہو:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-41-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin